package com.see.cloud.demo;


import com.see.cloud.common.security.annotation.EnableSeeResourceServer;
import com.see.cloud.common.swagger.annotation.EnableSeeDoc;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
* @author see archetype
* <p>
* 项目启动类
*/
@EnableSeeDoc("see")
@EnableSeeResourceServer
@EnableDiscoveryClient
@SpringBootApplication
public class DemoApplication {

    public static void main(String[] args) {
        SpringApplication.run(DemoApplication.class, args);
    }

}
